Loading...
Searching...
No Matches
Dune::IsIndexable< T, I > Struct Template Reference
Common » Utilities » C++ utilities and backports

Type trait to determine whether an instance of T has an operator[](I), i.e. whether it can be indexed with an index of type I. More...

`#include <dune/common/typetraits.hh>`

Inheritance diagram for Dune::IsIndexable< T, I >:

## Detailed Description

template<typename T, typename I = std::size_t>
struct Dune::IsIndexable< T, I >

Type trait to determine whether an instance of T has an operator[](I), i.e. whether it can be indexed with an index of type I.

Warning
  Not all compilers support testing for arbitrary index types. In particular, there are problems with GCC 4.4 and 4.5.

The documentation for this struct was generated from the following file:

- typetraits.hh